Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ReplyMarkupShowKeyboard

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ReplyMarkup
it.tdlight.jni.TdApi.ReplyMarkupShowKeyboard

Enclosing class:
  TdApi

public static final class TdApi.ReplyMarkupShowKeyboard extends TdApi.ReplyMarkup
Contains a custom keyboard layout to quickly reply to bots.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`inputFieldPlaceholder`
If non-empty, the placeholder to be shown in the input field when the keyboard is active; 0-64 characters.
`boolean`
`isPersonal`
True, if the keyboard must automatically be shown to the current user.
`boolean`
`oneTime`
True, if the application needs to hide the keyboard after use.
`boolean`
`resizeKeyboard`
True, if the application needs to resize the keyboard vertically.
`TdApi.KeyboardButton[][]`
`rows`
A list of rows of bot keyboard buttons.

## Constructor Summary

Constructors
Constructor
Description
`ReplyMarkupShowKeyboard()`
Contains a custom keyboard layout to quickly reply to bots.
`ReplyMarkupShowKeyboard(TdApi.KeyboardButton[][] rows, boolean resizeKeyboard, boolean oneTime, boolean isPersonal, String inputFieldPlaceholder)`
Contains a custom keyboard layout to quickly reply to bots.
`ReplyMarkupShowKeyboard(DataInput input)`
Contains a custom keyboard layout to quickly reply to bots.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### rows

public TdApi.KeyboardButton[][] rows
A list of rows of bot keyboard buttons.

### resizeKeyboard

public boolean resizeKeyboard
True, if the application needs to resize the keyboard vertically.

### oneTime

public boolean oneTime
True, if the application needs to hide the keyboard after use.

### isPersonal

public boolean isPersonal
True, if the keyboard must automatically be shown to the current user. For outgoing messages, specify true to show the keyboard only for the mentioned users and for the target user of a reply.

### inputFieldPlaceholder

public String inputFieldPlaceholder
If non-empty, the placeholder to be shown in the input field when the keyboard is active; 0-64 characters.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ReplyMarkupShowKeyboard

public ReplyMarkupShowKeyboard()
Contains a custom keyboard layout to quickly reply to bots.

### ReplyMarkupShowKeyboard

public ReplyMarkupShowKeyboard(TdApi.KeyboardButton[][] rows, boolean resizeKeyboard, boolean oneTime, boolean isPersonal, String inputFieldPlaceholder)
Contains a custom keyboard layout to quickly reply to bots.

Parameters:
  `rows` - KeyboardButton[][] A list of rows of bot keyboard buttons.
  `resizeKeyboard` - boolean True, if the application needs to resize the keyboard vertically.
  `oneTime` - boolean True, if the application needs to hide the keyboard after use.
  `isPersonal` - boolean True, if the keyboard must automatically be shown to the current user. For outgoing messages, specify true to show the keyboard only for the mentioned users and for the target user of a reply.
  `inputFieldPlaceholder` - String If non-empty, the placeholder to be shown in the input field when the keyboard is active; 0-64 characters.

### ReplyMarkupShowKeyboard

public ReplyMarkupShowKeyboard(DataInput input) throws IOException
Contains a custom keyboard layout to quickly reply to bots.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`